创新路
我们一直在努力

安装 Docker 入坑

1.关闭selinux:

setenforce 0

2.安装docker-io

1591172365497791.png

安装失败,yum源中没有找到 docker-io包,只能直接安装远程rmp包

yum install https://get.docker.com/rpm/1.7.1/centos-6/RPMS/x86_64/docker-engine-1.7.1-1.el6.x86_64.rpm

遇到错误:

image.png

需要安装更新的libseccomp,selinux,经过检查发现是系统内核太低。

image.png

资料说明 Docker 需要内核至少3.1以上,因为是虚拟机 ,直接重新安装CentOS-7(如果不可重装 只能升级内核)

image.png

1591175758345975.png

查看Docker版本

docker –version

1591175921361165.png

启动:systemctl start docker

总结:Docker 要求 Linux 系统的内核版本高于 3.10 ,通过 uname -r 命令查看内核版本

未经允许不得转载:天府数据港官方信息博客 » 安装 Docker 入坑

客官点个赞呗! (0)
分享到:

评论 抢沙发

评论前必须登录!

天府云博 - 做有态度的开发&运维&设计学习分享平台!

联系我们百度云主机